import { PropType } from "vue";
import VanillaView3D from "@egjs/view3d";
declare const View3D: import("vue").DefineComponent<{
    tag: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    canvasClass: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    src: {
        type: PropType<string | string[]>;
    };
    iosSrc: {
        type: PropType<string>;
    };
    dracoPath: {
        type: PropType<string>;
    };
    ktxPath: {
        type: PropType<string>;
    };
    meshoptPath: {
        type: PropType<string>;
    };
    fixSkinnedBbox: {
        type: PropType<boolean>;
    };
    fov: {
        type: PropType<number | "auto">;
    };
    center: {
        type: PropType<"auto" | number[]>;
    };
    yaw: {
        type: PropType<number>;
    };
    pitch: {
        type: PropType<number>;
    };
    initialZoom: {
        type: PropType<number | {
            axis: "x" | "y" | "z";
            ratio: number;
        }>;
    };
    rotate: {
        type: PropType<boolean | Partial<import("@egjs/view3d").RotateControlOptions>>;
    };
    translate: {
        type: PropType<boolean | Partial<import("@egjs/view3d").TranslateControlOptions>>;
    };
    zoom: {
        type: PropType<boolean | Partial<import("@egjs/view3d").ZoomControlOptions>>;
    };
    autoplay: {
        type: PropType<boolean | Partial<import("@egjs/view3d").AutoplayOptions>>;
    };
    scrollable: {
        type: PropType<boolean>;
    };
    wheelScrollable: {
        type: PropType<boolean>;
    };
    useGrabCursor: {
        type: PropType<boolean>;
    };
    skybox: {
        type: PropType<string>;
    };
    envmap: {
        type: PropType<string>;
    };
    background: {
        type: PropType<string | number>;
    };
    exposure: {
        type: PropType<number>;
    };
    shadow: {
        type: PropType<boolean | Partial<import("@egjs/view3d").ShadowOptions>>;
    };
    skyboxBlur: {
        type: PropType<boolean>;
    };
    toneMapping: {
        type: PropType<import("@egjs/view3d/declaration/type/utils").LiteralUnion<import("three").ToneMapping, import("three").ToneMapping>>;
    };
    useDefaultEnv: {
        type: PropType<boolean>;
    };
    defaultAnimationIndex: {
        type: PropType<number>;
    };
    animationRepeatMode: {
        type: PropType<import("@egjs/view3d/declaration/type/utils").ValueOf<{
            readonly ONE: "one";
            readonly NONE: "none";
            readonly ALL: "all";
        }>>;
    };
    annotationURL: {
        type: PropType<string>;
    };
    annotationWrapper: {
        type: PropType<string | HTMLElement>;
    };
    annotationSelector: {
        type: PropType<string>;
    };
    annotationBreakpoints: {
        type: PropType<Record<number, number>>;
    };
    annotationAutoUnfocus: {
        type: PropType<boolean>;
    };
    webAR: {
        type: PropType<boolean | Partial<import("@egjs/view3d").WebARSessionOptions>>;
    };
    sceneViewer: {
        type: PropType<boolean | Partial<import("@egjs/view3d").SceneViewerSessionOptions>>;
    };
    quickLook: {
        type: PropType<boolean | Partial<import("@egjs/view3d").QuickLookSessionOptions>>;
    };
    arPriority: {
        type: PropType<import("@egjs/view3d/declaration/type/utils").ValueOf<{
            readonly WEBXR: "webAR";
            readonly SCENE_VIEWER: "sceneViewer";
            readonly QUICK_LOOK: "quickLook";
        }>[]>;
    };
    poster: {
        type: PropType<string | HTMLElement>;
    };
    canvasSelector: {
        type: PropType<string>;
    };
    autoInit: {
        type: PropType<boolean>;
    };
    autoResize: {
        type: PropType<boolean>;
    };
    useResizeObserver: {
        type: PropType<boolean>;
    };
    maintainSize: {
        type: PropType<boolean>;
    };
    on: {
        type: PropType<Partial<import("@egjs/view3d").View3DEvents>>;
    };
    plugins: {
        type: PropType<import("@egjs/view3d/declaration/plugin/View3DPlugin").default[]>;
    };
    maxDeltaTime: {
        type: PropType<number>;
    };
}, unknown, {
    view3D: VanillaView3D;
}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    tag: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    canvasClass: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    src: {
        type: PropType<string | string[]>;
    };
    iosSrc: {
        type: PropType<string>;
    };
    dracoPath: {
        type: PropType<string>;
    };
    ktxPath: {
        type: PropType<string>;
    };
    meshoptPath: {
        type: PropType<string>;
    };
    fixSkinnedBbox: {
        type: PropType<boolean>;
    };
    fov: {
        type: PropType<number | "auto">;
    };
    center: {
        type: PropType<"auto" | number[]>;
    };
    yaw: {
        type: PropType<number>;
    };
    pitch: {
        type: PropType<number>;
    };
    initialZoom: {
        type: PropType<number | {
            axis: "x" | "y" | "z";
            ratio: number;
        }>;
    };
    rotate: {
        type: PropType<boolean | Partial<import("@egjs/view3d").RotateControlOptions>>;
    };
    translate: {
        type: PropType<boolean | Partial<import("@egjs/view3d").TranslateControlOptions>>;
    };
    zoom: {
        type: PropType<boolean | Partial<import("@egjs/view3d").ZoomControlOptions>>;
    };
    autoplay: {
        type: PropType<boolean | Partial<import("@egjs/view3d").AutoplayOptions>>;
    };
    scrollable: {
        type: PropType<boolean>;
    };
    wheelScrollable: {
        type: PropType<boolean>;
    };
    useGrabCursor: {
        type: PropType<boolean>;
    };
    skybox: {
        type: PropType<string>;
    };
    envmap: {
        type: PropType<string>;
    };
    background: {
        type: PropType<string | number>;
    };
    exposure: {
        type: PropType<number>;
    };
    shadow: {
        type: PropType<boolean | Partial<import("@egjs/view3d").ShadowOptions>>;
    };
    skyboxBlur: {
        type: PropType<boolean>;
    };
    toneMapping: {
        type: PropType<import("@egjs/view3d/declaration/type/utils").LiteralUnion<import("three").ToneMapping, import("three").ToneMapping>>;
    };
    useDefaultEnv: {
        type: PropType<boolean>;
    };
    defaultAnimationIndex: {
        type: PropType<number>;
    };
    animationRepeatMode: {
        type: PropType<import("@egjs/view3d/declaration/type/utils").ValueOf<{
            readonly ONE: "one";
            readonly NONE: "none";
            readonly ALL: "all";
        }>>;
    };
    annotationURL: {
        type: PropType<string>;
    };
    annotationWrapper: {
        type: PropType<string | HTMLElement>;
    };
    annotationSelector: {
        type: PropType<string>;
    };
    annotationBreakpoints: {
        type: PropType<Record<number, number>>;
    };
    annotationAutoUnfocus: {
        type: PropType<boolean>;
    };
    webAR: {
        type: PropType<boolean | Partial<import("@egjs/view3d").WebARSessionOptions>>;
    };
    sceneViewer: {
        type: PropType<boolean | Partial<import("@egjs/view3d").SceneViewerSessionOptions>>;
    };
    quickLook: {
        type: PropType<boolean | Partial<import("@egjs/view3d").QuickLookSessionOptions>>;
    };
    arPriority: {
        type: PropType<import("@egjs/view3d/declaration/type/utils").ValueOf<{
            readonly WEBXR: "webAR";
            readonly SCENE_VIEWER: "sceneViewer";
            readonly QUICK_LOOK: "quickLook";
        }>[]>;
    };
    poster: {
        type: PropType<string | HTMLElement>;
    };
    canvasSelector: {
        type: PropType<string>;
    };
    autoInit: {
        type: PropType<boolean>;
    };
    autoResize: {
        type: PropType<boolean>;
    };
    useResizeObserver: {
        type: PropType<boolean>;
    };
    maintainSize: {
        type: PropType<boolean>;
    };
    on: {
        type: PropType<Partial<import("@egjs/view3d").View3DEvents>>;
    };
    plugins: {
        type: PropType<import("@egjs/view3d/declaration/plugin/View3DPlugin").default[]>;
    };
    maxDeltaTime: {
        type: PropType<number>;
    };
}>>, {
    tag: string;
    canvasClass: string;
}>;
export default View3D;
